Gtk2::Plug(3)

NAME
Gtk2::Plug

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::Plug

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Plug->new ($socket_id)

•   $socket_id (Gtk2::Gdk::NativeWindow)

  widget = Gtk2::Plug->new_for_display
Since: gtk+ 2.2

  $plug->construct ($socket_id)

•   $socket_id (Gtk2::Gdk::NativeWindow)

  $plug->construct_for_display ($display, $socket_id)

•   $display (Gtk2::Gdk::Display)

•   $socket_id (Gtk2::Gdk::NativeWindow)

Since: gtk+ 2.2

  boolean = $plug->get_embedded
Since: gtk+ 2.14

  nativewindow = $plug->get_id

  window or undef = $plug->get_socket_window
Since: gtk+ 2.14

PROPERTIES

'embedded' (boolean : default false : readable / private)
    Whether or not the plug is embedded

'socket-window' (Gtk2::Gdk::Window : default undef : readable / private)
    The window of the socket the plug is embedded in

SIGNALS

embedded (Gtk2::Plug)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Window

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.